Bug 1540692 - [UI][RHOS][RFE] - Show only supported provider network types in dropdown list
Summary: [UI][RHOS][RFE] - Show only supported provider network types in dropdown list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: MVP
: 5.10.0
Assignee: Alexander Demicev
QA Contact: Danylo Kholodov
URL:
Whiteboard: ui:rhos
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-31 18:53 UTC by Pavol Kotvan
Modified: 2019-02-07 23:01 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:05 UTC
Category: Bug
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
flat_network (114.79 KB, image/png)
2018-09-06 16:26 UTC, Danylo Kholodov
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:10 UTC

Comment 3 Loic Avenel 2018-04-19 10:12:18 UTC

*** This bug has been marked as a duplicate of bug 1569441 ***

Comment 4 Danylo Kholodov 2018-09-06 16:24:42 UTC
Checked at the CFME 5.10.0.14 

Incorrect error message appears during adding the float network

1. Login to the CFME
2. Networks -> Networks
3. Configuration -> Add a new Cloud Network
4. Network Manager: select cloud provider
   Cloud Tenant: admin
   Provider Network Type: Flat
   Physical Network: local
   Network Name: flat_test_123
   External Router: No
   Administrative State: Up
   Shared: No
5. Click Add

Expected result:
"Unable to create Cloud Network "flat_test_123": Network type 'flat' is not supported by the Provider."

Actual result:
"Unable to create Cloud Network "flat_test_123": {"NeutronError": {"message": "Invalid input for operation: physical_network 'local' unknown for flat provider network.", "type": "InvalidInput", "detail": ""}}"


Additional information:
[heat-admin@controller-0 ~]$ sudo cat /etc/neutron/plugins/ml2/ml2_conf.ini | grep ^type_drivers
type_drivers = local,vlan,gre,vxlan,geneve

Also feel free to reproduce at the https://10.9.76.15 appliance

Comment 5 Danylo Kholodov 2018-09-06 16:26:24 UTC
Created attachment 1481357 [details]
flat_network

Comment 6 Alexander Demicev 2018-09-10 08:36:59 UTC
Hi, 
To test this BZ you should use a physical network listed on this line:
sudo cat /etc/neutron/plugins/ml2/ml2_conf.ini | grep ^flat_networksparameters 
I was able see parsed error messages. Please feel free to contact me.

Comment 7 Alexander Demicev 2018-09-10 08:38:15 UTC
sudo cat /etc/neutron/plugins/ml2/ml2_conf.ini | grep ^flat_networks

Comment 8 Alexander Demicev 2018-09-10 09:29:59 UTC
I opened a new PR, in my opinion error you get should also be parsed.
https://github.com/ManageIQ/manageiq-providers-openstack/pull/349

Comment 9 Danylo Kholodov 2018-10-02 12:10:07 UTC
Verified at the CFME 5.10.0.17 + OSP14

For "Physical Network" field I used this command at the controller node:
"sudo docker exec -it neutron_api cat /etc/neutron/plugins/ml2/ml2_conf.ini | grep ^flat_networks"

Comment 10 Jad Haj Yahya 2018-11-20 09:50:46 UTC
Hi,

When I am trying to create a Flat cloud network and leaving physical network field empty, I am getting below message:

Unable to create Cloud Network "rr": {"NeutronError": {"message": "Invalid input for operation: physical_network required for flat provider network.", "type": "InvalidInput", "detail": ""}}

I think we need here a more clear message

Comment 11 Alexander Demicev 2018-11-20 09:56:19 UTC
Hi,
What version of CFME did you use for testing?

Comment 12 Jad Haj Yahya 2018-11-20 10:00:01 UTC
(In reply to Alexander Demicev from comment #11)
> Hi,
> What version of CFME did you use for testing?

5.10.0.24

Comment 13 Alexander Demicev 2018-11-20 11:20:46 UTC
The fix for better error messages was backported to 5.10 yesterday.

Comment 15 Danylo Kholodov 2018-11-29 09:50:48 UTC
Verified at CFME 5.10.0.27

Comment 16 errata-xmlrpc 2019-02-07 23:01:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.